/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2012 University of Bonn. All rights reserved.
 * 
 *
 *   This file is part of MoleCuilder.
 *
 *    MoleCuilder is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MoleCuilder is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * tripleIndex.cpp
 *
 *  Created on: Dec 19, 2011
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

//#include "CodePatterns/MemDebug.hpp"

#include <iostream>

#include "LinkedCell/tripleIndex.hpp"

using namespace LinkedCell;

tripleIndex tripleIndex::operator*(const tripleIndex &a)
{
  tripleIndex res;
  for (int i=0;i<NDIM;++i)
    res[i] = (*this)[i]*a[i];
  return res;
}

tripleIndex tripleIndex::operator+(const tripleIndex &a)
{
  tripleIndex res;
  for (int i=0;i<NDIM;++i)
    res[i] = (*this)[i]+a[i];
  return res;
}

std::ostream & operator<<(std::ostream &ost, const tripleIndex &a)
{
  for (int i=0;i<NDIM;++i)
    ost << ((i!=0) ? "," : "") << a[i];
  return ost;
}
